# -*- coding: utf-8 -*-
"""
This initializes the plugin adding a toolbar with a button to launch the test reproducing the issue 
"""
from PyQt5.QtGui import QIcon
from PyQt5.QtWidgets import QAction

from .resources import *
from .IssueModule_dialog import IssueClassDialog
from .IssueReplay import IssueReplay


class IssueClass:
    def __init__(self, iface):
        self.iface = iface
        self.dlg = IssueClassDialog()
        self.actions = []
        self.menu = u'&issuePlugin'
        self.toolbar = self.iface.addToolBar(u'issueClass')
        self.toolbar.setObjectName(u'issueClass')

    def initGui(self):
        icon_path = ':/plugins/issueModule/icon.png'
        icon = QIcon(icon_path)
        action = QAction(icon, u'Reproduce issue', parent=self.iface.mainWindow())
        action.triggered.connect(self.run)
        action.setEnabled(True)
        self.toolbar.addAction(action)
        self.actions.append(action)

    def unload(self):
        for action in self.actions:
            self.iface.removeToolBarIcon(action)
        del self.toolbar

    def run(self):
        self.dlg.run(self.issueFunction)

    def issueFunction(self):
        IssueReplay(self.dlg).replayIssue()
        
